## direnv 2.4.0

=== Makefile ===
DESTDIR ?= /usr/local

MAN_MD = $(wildcard man/*.md)
ROFFS = $(MAN_MD:.md=)

.PHONY: all man html test release install
#all: build man test
all: build man

build: direnv

stdlib.go: stdlib.sh
	cat $< | ./script/str2go main STDLIB $< > $@

direnv: *.go
	go fmt
	go build -o direnv

clean:
	rm -f direnv

%.1: %.1.md
	@which md2man-roff >/dev/null || (echo "Could not generate man page because md2man is missing, gem install md2man"; false)
	md2man-roff $< > $@

man: $(ROFFS)

test: build
	go test
	./test/direnv-test.sh

release: build
	./script/release `./direnv version`
	git tag v`./direnv version`

install: all
	install -d $(DESTDIR)/bin
	install -d $(DESTDIR)/share/man/man1
	install direnv $(DESTDIR)/bin
	cp -R man/*.1 $(DESTDIR)/share/man/man1

=== debian/changelog ===
direnv (2.4.0-2) unstable; urgency=medium

  * Override dh_auto_test to set a writable $HOME (Closes: #756963)

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 27 Sep 2014 12:32:20 +0100

direnv (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * Update patches
  * Drop patches that are already in upstream
  * Override lintian error - statically linked binary

 -- Punit Agrawal <punitagrawal@gmail.com>  Tue, 17 Jun 2014 22:10:24 +0100

direnv (2.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #743887: ITP: direnv -- A utility to set
    directory specific environment variables)
  * Update Makefile to respect PREFIX in addition to DESTDIR
  * Update Makefile to skip installing man pages
  * Fix typo in upstream

 -- Punit Agrawal <punitagrawal@gmail.com>  Sun, 27 Apr 2014 23:04:40 +0100

=== debian/control ===
Source: direnv
Section: utils
Priority: optional
Maintainer: Punit Agrawal <punitagrawal@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
 golang-go,
 golang-src
Standards-Version: 3.9.5
Homepage: http://direnv.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/direnv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/direnv.git

Package: direnv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to set directory specific environment variables
 direnv is an environment variable manager for your shell. It knows
 how to hook into bash, zsh and fish shell to load or unload
 environment variables depending on your current directory. This
 allows one to have project-specific environment variables and not
 clutter the "~/.profile" file.
 .
 Before each prompt it checks for the existence of an ".envrc" file in
 the current and parent directories. If the file exists, it is loaded
 into a bash sub-shell and all exported variables are then captured by
 direnv and then made available to your shell.
 .
 Because direnv is compiled into a single static executable it is fast
 enough to be unnoticeable on each prompt. It is also language
 agnostic and can be used to build solutions similar to rbenv, pyenv,
 phpenv, ...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	HOME=$(CURDIR)/tmp dh_auto_test -a
	rm -r $(CURDIR)/tmp

=== debian/watch ===
version=3
https://github.com/zimbatm/direnv/archive/v(.*)\.tar\.gz

## direnv 2.6.1

=== debian/changelog ===
direnv (2.6.1-2) unstable; urgency=medium

  * Fix error while nocheck buildpackage
  * Fix testcase to correctly inherit environment in new shell
  * Fix lintian spelling warning

 -- Punit Agrawal <punitagrawal@gmail.com>  Thu, 23 Jul 2015 17:39:14 +0200

direnv (2.6.1-1) unstable; urgency=medium

  * Skip broken test "dump"
  * Imported upstream version 2.6.1
  * Remove override statically-linked-binary as it is no longer required
  * Update Standards Version to 3.9.6

 -- Punit Agrawal <punitagrawal@gmail.com>  Tue, 14 Jul 2015 10:46:17 +0100

## direnv 2.7.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 MAN_MD = $(wildcard man/*.md)
 ROFFS = $(MAN_MD:.md=)
 
-.PHONY: all man html test release install
+.PHONY: all man html test install dist
 #all: build man test
 all: build man
 
@@ -29,13 +29,14 @@
 	go test
 	./test/direnv-test.sh
 
-release: build
-	./script/release `./direnv version`
-	git tag v`./direnv version`
-
 install: all
 	install -d $(DESTDIR)/bin
 	install -d $(DESTDIR)/share/man/man1
 	install direnv $(DESTDIR)/bin
 	cp -R man/*.1 $(DESTDIR)/share/man/man1
 
+dist:
+	go get github.com/mitchellh/gox
+	gox -build-toolchain
+	gox -output "dist/{{.Dir}}.{{.OS}}-{{.Arch}}"
+

=== debian/changelog ===
direnv (2.7.0-1) unstable; urgency=medium

  * Imported Upstream version 2.7.0
  * Drop fix to 'dump' test that is merged upstream
  * Update release location

 -- Punit Agrawal <punitagrawal@gmail.com>  Sun, 18 Oct 2015 12:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9.0.0),
  golang-go,
  golang-src
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://direnv.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/direnv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/direnv.git

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 override_dh_auto_test:
 	HOME=$(CURDIR)/tmp dh_auto_test -a
-	rm -r $(CURDIR)/tmp
+	rm -rf $(CURDIR)/tmp

=== debian/watch ===
version=3
https://github.com/direnv/direnv/archive/v(.*)\.tar\.gz

## direnv 2.8.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 MAN_MD = $(wildcard man/*.md)
 ROFFS = $(MAN_MD:.md=)
+
+ifeq ($(shell uname), Darwin)
+	# Fixes DYLD_INSERT_LIBRARIES issues
+	# See https://github.com/direnv/direnv/issues/194
+	GO_FLAGS += -ldflags -linkmode=external
+endif
 
 .PHONY: all man html test install dist
 #all: build man test
@@ -12,9 +18,9 @@
 stdlib.go: stdlib.sh
 	cat $< | ./script/str2go main STDLIB $< > $@
 
-direnv: *.go
+direnv: stdlib.go *.go
 	go fmt
-	go build -o direnv
+	go build $(GO_FLAGS) -o direnv
 
 clean:
 	rm -f direnv
@@ -37,6 +43,5 @@
 
 dist:
 	go get github.com/mitchellh/gox
-	gox -build-toolchain
-	gox -output "dist/{{.Dir}}.{{.OS}}-{{.Arch}}"
+	gox -output "dist/direnv.{{.OS}}-{{.Arch}}"

=== debian/changelog ===
direnv (2.8.1-1) unstable; urgency=medium

  * Imported Upstream version 2.8.1
  * Drop lintian spelling fix that is merged upstream

 -- Punit Agrawal <punitagrawal@gmail.com>  Thu, 07 Apr 2016 09:38:57 +0100

## direnv 2.9.0

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,20 @@
 MAN_MD = $(wildcard man/*.md)
 ROFFS = $(MAN_MD:.md=)
 
+GO_LDFLAGS =
+
 ifeq ($(shell uname), Darwin)
 	# Fixes DYLD_INSERT_LIBRARIES issues
 	# See https://github.com/direnv/direnv/issues/194
-	GO_FLAGS += -ldflags -linkmode=external
+	GO_LDFLAGS += -linkmode=external
+endif
+
+ifdef BASH_PATH
+	GO_LDFLAGS += -X main.bashPath=$(BASH_PATH)
+endif
+
+ifdef GO_LDFLAGS
+	GO_FLAGS += -ldflags '$(GO_LDFLAGS)'
 endif
 
 .PHONY: all man html test install dist
@@ -17,6 +27,10 @@
 
 stdlib.go: stdlib.sh
 	cat $< | ./script/str2go main STDLIB $< > $@
+
+version.go: version.txt
+	echo package main > $@
+	echo 'const VERSION = "$(shell cat $<)";' >> $@
 
 direnv: stdlib.go *.go
 	go fmt

## direnv 2.10.0

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
 	rm -f direnv
 
 %.1: %.1.md
-	@which md2man-roff >/dev/null || (echo "Could not generate man page because md2man is missing, gem install md2man"; false)
-	md2man-roff $< > $@
+	@which go-md2man >/dev/null || (echo "Could not generate man page because go-md2man is missing, `go get -u https://github.com/cpuguy83/go-md2man`"; false)
+	go-md2man -in $< -out $@
 
 man: $(ROFFS)

=== debian/changelog ===
direnv (2.10.0-2) unstable; urgency=medium

  * Add go-md2man as dependency
  * Enable building manpages
  * Fix lintian warning in manpage
  * Update package repository location

 -- Punit Agrawal <punitagrawal@gmail.com>  Sun, 08 Jan 2017 19:21:10 +0000

direnv (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0

 -- Punit Agrawal <punitagrawal@gmail.com>  Wed, 14 Dec 2016 07:18:22 +0000

direnv (2.9.0-1) unstable; urgency=medium

  * Fix watch file regular expression
  * Update standards compliance to 3.9.8
  * Use secure url for gitweb access to repo
  * Imported Upstream version 2.9.0

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 27 Aug 2016 09:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Punit Agrawal <punitagrawal@gmail.com>
 Build-Depends: debhelper (>= 9.0.0),
- golang-go,
- golang-src
-Standards-Version: 3.9.6
+ golang-go, golang-src, go-md2man
+Standards-Version: 3.9.8
 Homepage: http://direnv.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/direnv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/direnv.git
+Vcs-Git: https://github.com/punitagrawal/direnv.git
+Vcs-Browser: https://github.com/punitagrawal/direnv
 
 Package: direnv
 Architecture: any

## direnv 2.11.3

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	rm -f direnv
 
 %.1: %.1.md
-	@which go-md2man >/dev/null || (echo "Could not generate man page because go-md2man is missing, `go get -u https://github.com/cpuguy83/go-md2man`"; false)
+	@which go-md2man >/dev/null || (echo "Could not generate man page because go-md2man is missing. Run: go get -u github.com/cpuguy83/go-md2man"; false)
 	go-md2man -in $< -out $@
 
 man: $(ROFFS)

=== debian/changelog ===
direnv (2.11.3-1) unstable; urgency=medium

  * New upstream version 2.11.3

 -- Punit Agrawal <punitagrawal@gmail.com>  Sat, 24 Jun 2017 09:59:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: direnv
 Section: utils
 Priority: optional
-Maintainer: Punit Agrawal <punitagrawal@gmail.com>
+Maintainer: Punit Agrawal <punit@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
  golang-go, golang-src, go-md2man
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/punitagrawal/direnv.git
 Vcs-Browser: https://github.com/punitagrawal/direnv

## direnv 2.15.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 ROFFS = $(MAN_MD:.md=)
 
 GO_LDFLAGS =
+
+export GO15VENDOREXPERIMENT=1
 
 ifeq ($(shell uname), Darwin)
 	# Fixes DYLD_INSERT_LIBRARIES issues

=== debian/changelog ===
direnv (2.15.0-1) unstable; urgency=medium

  * New upstream version 2.15.0
  * Refresh fix with patch from upstream
  * Fix lintian warnings arising from upstream version 2.15.0

 -- Punit Agrawal <punit@debian.org>  Sat, 24 Feb 2018 19:39:41 +0000

direnv (2.14.0-2) unstable; urgency=medium

  * Fix build failure with golang-1.10 (Closes: #890852)
  * Update standards version to 4.1.3

 -- Punit Agrawal <punit@debian.org>  Sat, 24 Feb 2018 08:38:01 +0000

direnv (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0

 -- Punit Agrawal <punit@debian.org>  Sun, 31 Dec 2017 11:16:57 +0000

direnv (2.13.1-2) unstable; urgency=medium

  * Revert the use of golang package buildsystem
  * Re-enable package tests

 -- Punit Agrawal <punit@debian.org>  Sat, 07 Oct 2017 16:54:36 +0100

direnv (2.13.1-1) unstable; urgency=medium

  * New upstream version 2.13.1
  * Disable tests
  * Update standards version to 4.1.1

 -- Punit Agrawal <punit@debian.org>  Fri, 06 Oct 2017 21:51:58 +0100

direnv (2.12.2-1) unstable; urgency=medium

  * New upstream version 2.12.2
  * Migrate package to using golang buildsystem
  * Update debhelper to version 10.0.0
  * Drop Makefile patch to respect PREFIX

 -- Punit Agrawal <punit@debian.org>  Mon, 28 Aug 2017 10:12:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Punit Agrawal <punit@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
- golang-go, golang-src, go-md2man
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10.0.0),
+	       golang-any,
+	       go-md2man
+Standards-Version: 4.1.3
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/punitagrawal/direnv.git
 Vcs-Browser: https://github.com/punitagrawal/direnv

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export GOPATH=$(CURDIR)

%:
	dh $@

override_dh_auto_build:
	ln -s vendor src
	dh_auto_build
	make man

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/*.1 src

=== debian/watch ===
version=3
https://github.com/direnv/direnv/releases .*/archive/v(.*)\.tar\.gz

## direnv 2.17.0

=== debian/changelog ===
direnv (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0
  * Drop build dependency on elvish
  * Update Standards-Version to 4.1.4

 -- Punit Agrawal <punit@debian.org>  Sat, 07 Jul 2018 07:23:00 +0100

direnv (2.15.2-1) unstable; urgency=medium

  * New upstream version 2.15.2
  * Drop patches merged upstream
  * Update package repository location

 -- Punit Agrawal <punit@debian.org>  Sat, 03 Mar 2018 11:33:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Build-Depends: debhelper (>= 10.0.0),
 	       golang-any,
 	       go-md2man
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://direnv.net/
-Vcs-Git: https://github.com/punitagrawal/direnv.git
-Vcs-Browser: https://github.com/punitagrawal/direnv
+Vcs-Git: https://github.com/direnv/direnv-deb.git
+Vcs-Browser: https://github.com/direnv/direnv-deb
 
 Package: direnv
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Utility to set directory specific environment variables
  direnv is an environment variable manager for your shell. It knows
  how to hook into bash, zsh and fish shell to load or unload

## direnv 2.18.2

=== debian/changelog ===
direnv (2.18.2-2) unstable; urgency=medium

  * Add ruby as a dependency
  * Include upstream provided docs
  * Update standards version to 4.3.0
  * Force testing to be single threaded

 -- Punit Agrawal <punit@debian.org>  Sun, 30 Dec 2018 18:20:20 +0900

direnv (2.18.2-1) unstable; urgency=medium

  * New upstream version 2.18.2
  * Update build dependincies
  * Update patch queue for 2.18.2

 -- Punit Agrawal <punit@debian.org>  Thu, 27 Dec 2018 19:40:02 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Punit Agrawal <punit@debian.org>
-Build-Depends: debhelper (>= 10.0.0),
-	       golang-any,
-	       go-md2man
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10.0.0), elvish, fish,
+	       golang-any, go-md2man,
+	       ruby, shellcheck
+Standards-Version: 4.3.0
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/direnv/direnv-deb.git
 Vcs-Browser: https://github.com/direnv/direnv-deb

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	dh_auto_build
 	make man
 
+override_dh_auto_test:
+	dh_auto_test --no-parallel
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f man/*.1 src

## direnv 2.20.1

=== debian/changelog ===
direnv (2.20.1-2) unstable; urgency=medium

  * Explicitly specify GOCACHE to build with Go 1.12

 -- Punit Agrawal <punit@debian.org>  Sat, 17 Aug 2019 00:01:56 +0900

direnv (2.20.1-1) unstable; urgency=medium

  * New upstream version 2.20.1
  * Refresh patches for new release
  * Escape grep arguments in stdlib.sh
  * Update build dependencies - tcsh, zsh

 -- Punit Agrawal <punit@debian.org>  Sat, 20 Jul 2019 07:30:26 +0900

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Punit Agrawal <punit@debian.org>
 Build-Depends: debhelper (>= 10.0.0), elvish, fish,
 	       golang-any, go-md2man,
-	       ruby, shellcheck
-Standards-Version: 4.3.0
+	       ruby, shellcheck, tcsh, zsh
+Standards-Version: 4.4.0
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/direnv/direnv-deb.git
 Vcs-Browser: https://github.com/direnv/direnv-deb

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,10 @@
 # export DH_VERBOSE=1
 
 export GOPATH=$(CURDIR)
+export GOCACHE=$(CURDIR)/.cache
 
 %:
+	echo "HOME="${HOME}
 	dh $@
 
 override_dh_auto_build:

## direnv 2.21.2

=== debian/changelog ===
direnv (2.21.2-1) unstable; urgency=medium

  * New upstream version 2.21.2
  * Drop setting GOPATH during package build
  * Enable verbose output during build
  * Fix shellcheck warnings
  * Disable golangci-lint for package builds
  * Fix elvish test failures (Closes: #952168)
  * Update Standards-Version to 4.5.0
  * Set HOME during testing

 -- Punit Agrawal <punit@debian.org>  Mon, 24 Feb 2020 15:38:17 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export GOCACHE=$(CURDIR)/.cache

%:
	dh $@

override_dh_auto_build:
	ln -s vendor src
	dh_auto_build
	make man

override_dh_auto_test:
	HOME=$(curdir)/tmp dh_auto_test --no-parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/*.1 src

## direnv 2.21.3

=== debian/changelog ===
direnv (2.21.3-1) unstable; urgency=medium

  * New upstream version 2.21.3
  * Drop patches merged upstream

 -- Punit Agrawal <punit@debian.org>  Sat, 16 May 2020 09:46:40 +0900

## direnv 2.23.1

=== debian/changelog ===
direnv (2.23.1-1) unstable; urgency=medium

  * New upstream version 2.23.1

 -- Punit Agrawal <punit@debian.org>  Mon, 26 Oct 2020 23:14:04 +0900

## direnv 2.25.2

=== debian/changelog ===
direnv (2.25.2-2) unstable; urgency=medium

  * Update elvish tests (Closes: #982709)

 -- Punit Agrawal <punit@debian.org>  Sun, 21 Feb 2021 12:11:48 +0900

direnv (2.25.2-1) unstable; urgency=medium

  * New upstream version 2.25.2
  * Include upstream changelog in the package

 -- Punit Agrawal <punit@debian.org>  Mon, 14 Dec 2020 20:50:34 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 10.0.0), elvish, fish,
 	       golang-any, go-md2man,
 	       ruby, shellcheck, tcsh, zsh
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/direnv/direnv-deb.git
 Vcs-Browser: https://github.com/direnv/direnv-deb

## direnv 2.32.1

=== debian/changelog ===
direnv (2.32.1-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:40 +1200

direnv (2.32.1-2) unstable; urgency=medium

  * debian: manpages: Include direnv.toml.1 (Closes: #1022208)

 -- Punit Agrawal <punit@debian.org>  Sat, 22 Oct 2022 08:44:45 +0100

direnv (2.32.1-1) unstable; urgency=medium

  * debian/watch: Fix the matching regular expression
  * Update standards version to 4.6.0
  * debian: Update list of manpages to install
  * debian/control: Annotate test dependencies with nocheck profile
  * debian/control: Bump debhelper-compat to 13
  * debian/rules: Migrate to using dh-golang
  * New upstream version 2.32.1 (Closes: #997509)
  * debian/patches: Refresh patches for new upstream version 2.32.1
  * debian: manpages: Drop direnv-toml manpage
  * debian/control: Add build dependencies due to devendoring
  * debian/rules: Make artifacts available during build
  * debian/rules: Re-enable tests
  * debian/control: Drop go-md2man dependency

 -- Punit Agrawal <punit@debian.org>  Mon, 18 Jul 2022 00:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,25 @@
 Section: utils
 Priority: optional
 Maintainer: Punit Agrawal <punit@debian.org>
-Build-Depends: debhelper (>= 10.0.0), elvish, fish,
-	       golang-any, go-md2man,
-	       ruby, shellcheck, tcsh, zsh
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+	       dh-golang,
+	       elvish <!nocheck>,
+	       fish <!nocheck>,
+	       golang-any,
+	       golang-github-burntsushi-toml-dev,
+	       golang-github-mattn-go-isatty-dev,
+	       golang-golang-x-mod-dev,
+	       golang-golang-x-sys-dev,
+	       ruby <!nocheck>,
+	       shellcheck <!nocheck>,
+	       tcsh <!nocheck>,
+	       zsh <!nocheck>
+Standards-Version: 4.6.0
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/direnv/direnv-deb.git
 Vcs-Browser: https://github.com/direnv/direnv-deb
+Rules-Requires-Root: no
+XS-Go-Import-Path: github.com/direnv/direnv
 
 Package: direnv
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := stdlib.sh version.txt
export DH_GOLANG_EXCLUDES := script

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

## direnv 2.37.1

=== debian/changelog ===
direnv (2.37.1-1) unstable; urgency=medium

  * New upstream version 2.37.1
  * Update standards version to 4.7.2

 -- Punit Agrawal <punit@debian.org>  Thu, 21 Aug 2025 18:41:54 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	       shellcheck <!nocheck>,
 	       tcsh <!nocheck>,
 	       zsh <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://direnv.net/
 Vcs-Git: https://github.com/direnv/direnv-deb.git
 Vcs-Browser: https://github.com/direnv/direnv-deb

=== debian/watch ===
version=4
https://github.com/direnv/direnv/releases .*/archive/refs/tags/v(.*)\.tar\.gz
# /direnv/direnv/archive/refs/tags/v2.28.0.tar.gz
